Google Apps to drop support for older browsers

The big G is cracking down on antiquity – time to update those creaking internet vessels

Google has announced that Google Apps will only be supported by the newest browsers, with support for the third-oldest version being pulled each time a new version is released. With the advent and continuing growth of HTML 5 older browsers such as Internet Explorer 7 (shudder) Firefox 3.5 and Safari 3 will have their life support unplugged from August 1st. If you’re a Stuff.tv reader then we will take the liberty of assuming that you are the owner of a whole host of shiny gadgets and that you have kept your browser up to speed as per the unwritten laws of Geekdom. Still on IE7? Shame on you...